Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.common.v7
Class ReportDeliveryRequestType

    java.lang.Object
      be.vlaanderen.mercurius.mohm.common.v7.ReportDeliveryRequestType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:47+01:00",
               comments="JAXB RI v2.2.11")
    public class ReportDeliveryRequestType

extends Object
implements Serializable

Groeperend element voor een aflevering.

Java class for ReportDeliveryRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ReportDeliveryRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="VSBReference" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}VSBReferenceType"/>
             <element name="Bandagist" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}BandagistType"/>
             <element name="MobilityTool" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}DeliveryMobilityToolType"/>
             <element name="BTC" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}DeliveryBTCType" minOccurs="0"/>
             <element name="WarrantAmount" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}AmountType" minOccurs="0"/>
             <element name="DeliveryDocument" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}DocumentListType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ReportDeliveryRequestType()`

Method Summary
`BandagistType` | `getBandagist()` Gets the value of the bandagist property.
`DeliveryBTCType` | `getBTC()` Gets the value of the btc property.
`DocumentListType` | `getDeliveryDocument()` Gets the value of the deliveryDocument property.
`DeliveryMobilityToolType` | `getMobilityTool()` Gets the value of the mobilityTool property.
`String` | `getVSBReference()` Gets the value of the vsbReference property.
`BigDecimal` | `getWarrantAmount()` Gets the value of the warrantAmount property.
`void` | `setBandagist(BandagistType value)` Sets the value of the bandagist property.
`void` | `setBTC(DeliveryBTCType value)` Sets the value of the btc property.
`void` | `setDeliveryDocument(DocumentListType value)` Sets the value of the deliveryDocument property.
`void` | `setMobilityTool(DeliveryMobilityToolType value)` Sets the value of the mobilityTool property.
`void` | `setVSBReference(String value)` Sets the value of the vsbReference property.
`void` | `setWarrantAmount(BigDecimal value)` Sets the value of the warrantAmount property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportDeliveryRequestType

    public ReportDeliveryRequestType()

Method Detail

### getVSBReference

    public String getVSBReference()

  Gets the value of the vsbReference property.

  Returns:
    possible object is `String`

### setVSBReference

    public void setVSBReference(String value)

  Sets the value of the vsbReference property.

  Parameters:
    `value` - allowed object is `String`

### getBandagist

    public BandagistType getBandagist()

  Gets the value of the bandagist property.

  Returns:
    possible object is `BandagistType`

### setBandagist

    public void setBandagist(BandagistType value)

  Sets the value of the bandagist property.

  Parameters:
    `value` - allowed object is `BandagistType`

### getMobilityTool

    public DeliveryMobilityToolType getMobilityTool()

  Gets the value of the mobilityTool property.

  Returns:
    possible object is `DeliveryMobilityToolType`

### setMobilityTool

    public void setMobilityTool(DeliveryMobilityToolType value)

  Sets the value of the mobilityTool property.

  Parameters:
    `value` - allowed object is `DeliveryMobilityToolType`

### getBTC

    public DeliveryBTCType getBTC()

  Gets the value of the btc property.

  Returns:
    possible object is `DeliveryBTCType`

### setBTC

    public void setBTC(DeliveryBTCType value)

  Sets the value of the btc property.

  Parameters:
    `value` - allowed object is `DeliveryBTCType`

### getWarrantAmount

    public BigDecimal getWarrantAmount()

  Gets the value of the warrantAmount property.

  Returns:
    possible object is `BigDecimal`

### setWarrantAmount

    public void setWarrantAmount(BigDecimal value)

  Sets the value of the warrantAmount property.

  Parameters:
    `value` - allowed object is `BigDecimal`

### getDeliveryDocument

    public DocumentListType getDeliveryDocument()

  Gets the value of the deliveryDocument property.

  Returns:
    possible object is `DocumentListType`

### setDeliveryDocument

    public void setDeliveryDocument(DocumentListType value)

  Sets the value of the deliveryDocument property.

  Parameters:
    `value` - allowed object is `DocumentListType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.